Bug 1010336 - Availability axes sometimes get messy when moving from Resource to Resource and changing timeframes
Availability axes sometimes get messy when moving from Resource to Resource a...
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
unspecified Severity unspecified (vote)
: ER03
: RHQ 4.10
Assigned To: Mike Thompson
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2013-09-20 10:32 EDT by Mike Thompson
Modified: 2014-04-23 08:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-04-23 08:32:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Availability graph messed up (193.62 KB, image/jpeg)
2013-09-20 10:36 EDT, Mike Thompson
no flags Details

  None (edit)
Description Mike Thompson 2013-09-20 10:32:53 EDT
Description of problem:
This looks to be the last of the bugs from the auto-refresh refactoring (so that page only refreshes the chart and not the whole page: https://bugzilla.redhat.com/show_bug.cgi?id=924725)

When moving between resources on the metrics page


Steps to Reproduce
1) click to metrics tab on a Resource
2) Click to another resource in the tree
3) change the timeframe of the graphs say to 1h
4) click to another resource in the tree

Note that the availability axes are overwritten with 2 axes (the first one is not deleted when the second one is added). This bug was introduced from the lifecycle changes introduced from the bug mentioned above.
Comment 1 Mike Thompson 2013-09-20 10:36:36 EDT
Created attachment 800521 [details]
Availability graph messed up
Comment 2 Mike Thompson 2013-09-23 17:31:44 EDT
Checked into master commit id: abc2c82
Comment 3 Heiko W. Rupp 2014-04-23 08:32:17 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.